
ipt_create_chain pre_hvlan_bridge raw
ipt_create_chain out_hvlan_bridge raw

if [ "$MODE" != "start" ]; then
	ipt -t raw -F pre_hvlan_bridge
	ipt -t raw -F out_hvlan_bridge
fi

ipt -t raw -A pre_hvlan -j pre_hvlan_bridge
ipt -t raw -A out_hvlan -j out_hvlan_bridge

for ip4_tmp in $if_hvlan_ips4; do
	ipt4 -t raw -A pre_hvlan_bridge -d $ip4_tmp -j RETURN
	ipt4 -t raw -A out_hvlan_bridge -s $ip4_tmp -j RETURN
done

for ip6_tmp in $if_hvlan_ips6; do
	ipt6 -t raw -A pre_hvlan_bridge -d $ip6_tmp -j RETURN
	ipt6 -t raw -A out_hvlan_bridge -s $ip6_tmp -j RETURN
done

# all other (bridged) traffic shouldn't be tracked
ipt -t raw -A pre_hvlan_bridge -j NOTRACK
ipt -t raw -A out_hvlan_bridge -j NOTRACK
